Join the AMA (Ask Me Anything) with Firefox leadership team to talk about Firefox priorities in 2024. Mark your calendar! Thursday, June 13, 17:00 - 19:00 UTC.

Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

My Firefox browser ist old, but I can't instal new one ex.120 or 115, because I'm not able to work with Terminal. What to do?

  • 1 reply
  • 0 have this problem
  • 26 views
  • Last reply by cor-el

more options

My Firefox browser is old, but I can't install new one ex.120 or 115, because I'm not able to work with Terminal. What to do? I do download, but after "unpack" (sorry my English) there is the end of it. I do not know how to install.

My Firefox browser is old, but I can't install new one ex.120 or 115, because I'm not able to work with Terminal. What to do? I do download, but after "unpack" (sorry my English) there is the end of it. I do not know how to install.

All Replies (1)

more options

On Linux you do not install Firefox, you merely extract the content of the tar.bz2 archive to a folder (e.g. in your home directory: ~/firefox) and run the firefox script or start firefox-bin.

Note that there are file managers that allow to open such an archive via Cursor Right or via the right-click context menu.

Helpful?

Ask a question

You must log in to your account to reply to posts. Please start a new question, if you do not have an account yet.